gaMonitor {GA} | R Documentation

## Monitor genetic algorithm evolution

### Description

Functions to print summary statistics of fitness values at each iteration of a GA search.

### Usage

    gaMonitor(object, digits = getOption("digits"), ...)

    gaislMonitor(object, digits = getOption("digits"), ...)

### Arguments

`object` | an object of class `ga-class` or `gaisl-class`, usually resulting from a call to function `ga` or `gaisl`, respectively.
`digits` | minimal number of significant digits.
`...` | further arguments passed to or from other methods.

### Value

These functions print a summary of current GA step on the console.
By default, `gaMonitor` is called in interactive sessions by `ga`. The old monitoring function, used as the default until version 2.2 of GA package, is provided in `gaMonitor2`.
By default, `gaislMonitor` is called in interactive sessions by `gaisl`.

### Author(s)

Luca Scrucca

[Package GA version 3.2 Index]